CEGUI Logo
This issue tracker is now in read-only mode. We migrated all our old bug reports to our bitbucket issue tracker
Please use our new issue tracker to report bugs. You can easily find all mantis tickets on our new issue tracker by selecting the appropriate bitbucket repo (CEGUI/CEED/Silly) and searching for the mantis ticket ID number.

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000912CEGUICore library (CEGUIBase)public2012-08-28 11:152013-01-12 16:03
ReporterCrazyEddie 
Assigned ToCrazyEddie 
PrioritynormalSeverityblockReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.7.7 
Target Version0.7.9Fixed in Version0.7.9 
Summary0000912: Xcode 4.4 produces compile error in CEGUIWindowFactoryManager.h
Descriptiontemplate code catches Exception&, but Exception only exists as a forward declared class.

Fix will be to include CEGUIExceptions.h
Additional InformationSee: http://www.cegui.org.uk/phpBB2/viewtopic.php?f=10&t=6199 [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001209)
CrazyEddie (administrator)
2013-01-12 16:03

changeset: 3809:851d7b0669ee
branch: v0-7
tag: tip
parent: 3806:86c394c53f29
user: Paul Turner <paul@cegui.org.uk>
date: Sat Jan 12 16:02:46 2013 +0000
summary: FIX: Build issue on with Xcode 4.4+ http://www.cegui.org.uk/mantis/view.php?id=912 [^]

- Issue History
Date Modified Username Field Change
2012-08-28 11:15 CrazyEddie New Issue
2013-01-08 11:52 CrazyEddie Target Version 0.7.8 => 0.7.9
2013-01-12 15:48 CrazyEddie Assigned To => CrazyEddie
2013-01-12 15:48 CrazyEddie Status new => assigned
2013-01-12 15:48 CrazyEddie Status assigned => confirmed
2013-01-12 16:03 CrazyEddie Note Added: 0001209
2013-01-12 16:03 CrazyEddie Status confirmed => resolved
2013-01-12 16:03 CrazyEddie Fixed in Version 0.8.3 => 0.7.9
2013-01-12 16:03 CrazyEddie Resolution open => fixed
Get Crazy Eddies GUI System at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker